Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.association
Class AssociationCreationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.bea.commerce.ebusiness.discount.DiscountException
                      com.bea.commerce.ebusiness.discount.association.AssociationCreationException

All Implemented Interfaces
  MessageCatalogException, Serializable

    public class AssociationCreationException

extends DiscountException

Indicates that an attempt to create a discount association failed, usually the result of a lower level failure

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.commerce.ebusiness.discount.DiscountException
`MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`AssociationCreationException(String messageKey, Exception exception)` Class constructor taking key of the associated catalog message and an embedded exception.
`AssociationCreationException(String messageKey, Object argument)` Class constructor taking key of the associated catalog message and a message parameter substitution argument.
`AssociationCreationException(String messageKey, Object[] arguments)` Class constructor taking key of the associated catalog message and message parameter substitution arguments.

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssociationCreationException

    public AssociationCreationException(String messageKey,
                                        Exception exception)

  Class constructor taking key of the associated catalog message and an embedded exception.

  Parameters
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### AssociationCreationException

    public AssociationCreationException(String messageKey,
                                        Object argument)

  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### AssociationCreationException

    public AssociationCreationException(String messageKey,
                                        Object[] arguments)

  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved